Bug 507504 - Flash memory card readers, including those built into printers, cause a kernel error and X to hang
Flash memory card readers, including those built into printers, cause a kerne...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 22:45 EDT by William M. Quarles
Modified: 2010-12-05 01:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:49:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Today's log illustrating several kernel problems, but especially the problem with the HP PS C6280 AIO (87.89 KB, text/plain)
2009-07-04 14:46 EDT, William M. Quarles
no flags Details
Log from kernel-debug-2.6.29.6-93.fc10 from today since boot until the AIO printer was unplugged (87.15 KB, text/plain)
2009-07-27 01:14 EDT, William M. Quarles
no flags Details
Another (possibly better?) log from 20090727 (88.87 KB, text/plain)
2009-07-27 07:03 EDT, William M. Quarles
no flags Details

  None (edit)
Description William M. Quarles 2009-06-22 22:45:23 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.11) Gecko/2009061118 Fedora/3.0.11-1.fc10 Firefox/3.0.11

My system kept randomly locking up a while back, and suddenly it occurred to me as if from on high to unplug the USB cable between computer and my HP Photosmart C6280 All-In-One Printer-Scanner-Copier. All of a sudden the lockup turned out to just be a hang that would go away, as if only X were affected, and no matter how long the two had been connected, the hang would be undon. The hang has no particular connection to any specific printer/scanner task. A kernel error message or two (today more like 10 at once) are forwarded to the "kernel developers" according to a popup dialog in the bottom right-hand corner of the screen.

Reproducible: Sometimes

Steps to Reproduce:
1. Have your computer and specifiec HP AIO plugged in to each other via USB.
2. Wait for it
3. X will hang
4. Unplug the USB cable
Actual Results:  
Instantly X functions again and one or more kernel error forwarding dialogs will appear.

Expected Results:  
There should be no error messages and no X hangs with just the printer plugged in.

I'm using a Cardbus USB 2.0/IEEE-1394a combo adapter in my laptop to connect to the printer. The cardslots on my laptop are yenta-sockets (according to the kernel). I don't experience any regular errors like this on Microsoft Windows XP Professional SP3.

Granted, there is a workaround that I have found, but most people wouldn't necessarily think to go unplug a printer from the computer; I was about ready to throw in the towel on Fedora, and other people might have that reaction, too, so I think that this needs to be addressed soon.

kernel-2.6.27.24-170.2.68.fc10.i686
Comment 1 Chuck Ebbert 2009-06-29 13:58:03 EDT
This report is not much use without the contents of those messages. The URLs should be in your system log, and you could have also asked the popup messages to show them.
Comment 2 William M. Quarles 2009-06-30 16:10:12 EDT
I have just started using Fedora off and on for the first time since 2005, and I don't remember how to pull up my system log. For some reason the "popups" as you called them just say that the error information was sent to the kernel maintainers. Is that you, or not?
Comment 3 Chuck Ebbert 2009-06-30 16:27:08 EDT
(In reply to comment #2)
> I have just started using Fedora off and on for the first time since 2005, and
> I don't remember how to pull up my system log. For some reason the "popups" as
> you called them just say that the error information was sent to the kernel
> maintainers. Is that you, or not?  

The reports are sent to kerneloops.org and without the specific URL we can't retrieve them.

Your system log is in the file /var/log/messages and the archived logs are in messages-YYYYMMDD with the name based on the date they were archived.
Comment 4 William M. Quarles 2009-07-04 14:46:51 EDT
Created attachment 350503 [details]
Today's log illustrating several kernel problems, but especially the problem with the HP PS C6280 AIO

Most recent report was submitted to:

http://www.kerneloops.org/submitresult.php?number=511947
Comment 5 Chuck Ebbert 2009-07-10 10:43:24 EDT
Can you try kernel-2.6.29.6-93.fc10 from updates-testing, when it arrives there?
Comment 6 William M. Quarles 2009-07-27 01:10:46 EDT
A few preliminary comments:

I just had some regular updates installed in addition to the kernel-2.6.29.6-93.fc10. I'm not sure which caused what, but here is what happened:

Whenever I used to start Fedora 10, I didn't get a nice splash screen like expected, I got some ugly bar that grew across the bottom of the screen from left to right, with "Fedora 10" at the end of the bar's path. I started Fedora 10 using the kernel-debug-2.6.29.6-93.fc10, and now I finally get a splash screen.

When Fedora is running, my external LCD monitor is set to mirror my laptop display. It still does, it just looks like it's "out of focus," for lack of a better term. The external monitor is set to display correctly.

Once Gnome loaded, I had some trouble with fonts displaying correctly even on the laptop's display, and some of the pixel lines on the wallpaper were black instead of showing the default Fedora 10 wallpaper. These problems went away some time later after loading Firefox, but the fonts are showing smaller than they used to for some reason.

The bug with the AIO printer still exists. I booted with the kernel-debug-2.6.29.6-93.fc10, and had the printer plugged in from boot time until X hung on me. I'll be attaching the log results in a moment.
Comment 7 William M. Quarles 2009-07-27 01:14:26 EDT
Created attachment 355230 [details]
Log from kernel-debug-2.6.29.6-93.fc10 from today since boot until the AIO printer was unplugged
Comment 8 William M. Quarles 2009-07-27 07:03:27 EDT
Created attachment 355262 [details]
Another (possibly better?) log from 20090727

I sent this log in from later as I think it might have more relevant output.
Comment 9 William M. Quarles 2009-08-22 23:05:03 EDT
I just had the same error with a small SD card reader that I had plugged into my USB 2.0/IEEE-1394a expansion card, using the 2.6.27.29-170.2.79.fc10.i686 kernel. I'm guessing that they are related.

http://www.kerneloops.org/submitresult.php?number=654677

Is there another updates-testing kernel for me to try out?
Comment 10 Bug Zapper 2009-11-18 04:30:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 William M. Quarles 2009-11-28 16:58:20 EST
Note that this bug is still present in Fedora 10, however, per the Bug Zapper's request I have changed the Fedora release number on this bug to 11.
Comment 12 William M. Quarles 2009-12-10 23:38:33 EST
I'd really like to see this fixed, so I have changed the summary of this bug to more accurately reflect the problem and the need to fix this. If I could raise the priority of this bug, I would. Could you do that, Mr./Ms. Assignee(s)?
Comment 13 Pete Zaitcev 2009-12-11 01:48:46 EST
Two questions immediately pop to mind after reading the log from comment #4
(the two other do not seem to indicate any problem, except using nfts).

 - is the problem reproducible in text mode (when a user is not logged in
   on gdm / X)?

 - before the system completely locks up, what's the output of "free",
   or failing that Alt-Ctrl-F2 and then Alt-SysRq-M (this may need
   doing "echo 8 > /proc/sys/kernel/printk" ahead of time, there's a bug
   in recent kernels that prevents Atl-SysRq-8 from working). Don't
   try to type it in, the best is to capture it with dmesg or failing
   that, with a camera off screen.
Comment 14 William M. Quarles 2009-12-11 02:39:55 EST
The flash cards in question are using FAT16, not NTFS. And the lockup can happen even when a card is not loaded into the reader, which most likely the case for my attachments. I'm not really sure why you are bringing up NTFS. Perhaps you are confusing the flash card readers that I have used with my Firewire hard drive enclosure, that's the only thing I can think of.

I could use a little help with getting text mode going. I haven't known how to do that since I could count the Fedora releases on one hand.
Comment 15 Bug Zapper 2010-04-27 11:11:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-06-28 09:14:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 William M. Quarles 2010-09-13 09:34:46 EDT
This bug still exists in Fedora 12 and is bugging the you-know-what out of me. I hope someone fixes it soon.
Comment 18 Bug Zapper 2010-11-04 07:01:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-12-05 01:49:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.